/*
 * This file is part of Nuts Framework.
 * Copyright (C) 2009 Nuts Develop Team.
 *
 * Nuts Framework is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License any later version.
 * 
 * Nuts Framework is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Nuts Framework. If not, see <http://www.gnu.org/licenses/>.
 */
package nuts.gae.vfs.ngfs;

import nuts.core.orm.dao.DataAccessException;
import nuts.core.orm.dao.DataAccessSession;
import nuts.exts.vfs.ndfs.dao.NdfsFile;
import nuts.exts.vfs.ndfs.dao.NdfsFileDAO;
import nuts.gae.dao.GaeModelDAO;

/**
 * GaeFileDAO
 */
public class GaeFileDAO extends GaeModelDAO<NdfsFile, GaeFileExample> implements NdfsFileDAO<NdfsFile, GaeFileExample> {

	/**
	 * Constructor
	 */
	public GaeFileDAO() {
		super();
	}

	/**
	 * Constructor
	 *
	 * @param dataAccessSession the dataAccessSession to set
	 */
	public GaeFileDAO(DataAccessSession dataAccessSession) {
		super(dataAccessSession);
	}

	/**
	 * create example
	 * @return example instance
	 */
	public GaeFileExample createExample() {
		return new GaeFileExample();
	}

	/**
	 * @return model id
	 */
	public String getModelId() {
		return GaeFileMetaData.TABLE_NAME;
	}
	
	/**
	 * exists
	 * 
	 * @param id id
	 * @return true if exists
	 * @throws DataAccessException if a data access error occurs
	 */ 
	public boolean exists(Long id) throws DataAccessException {
		NdfsFile key = new NdfsFile();
		key.setId(id);
		return exists(key);
	}
	
	/**
	 * selectByPrimaryKey
	 * 
	 * @param id id
	 * @return NdfsFile
	 * @throws DataAccessException if a data access error occurs
	 */ 
	public NdfsFile selectByPrimaryKey(Long id) throws DataAccessException {
		NdfsFile key = new NdfsFile();
		key.setId(id);
		return selectByPrimaryKey(key);
	}

	/**
	 * deleteByPrimaryKey
	 * 
	 * @param id id
	 * @return count of deleted records
	 * @throws DataAccessException if a data access error occurs
	 */ 
	public int deleteByPrimaryKey(Long id) throws DataAccessException {
		NdfsFile key = new NdfsFile();
		key.setId(id);
		return deleteByPrimaryKey(key);
	}
}
